[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# GetConnectionDef

Search for a connection definition by name

## Declaration

Source position: sqldb.pp line 596

`function GetConnectionDef(`
`ConnectorName: string`
`):TConnectionDef;`

## Arguments

`ConnectorName` |  | The name of the connection type to search

## Function result

The connection type definition, Nil if not found.

## Description

GetConnectionDef will search in the list of connection type definitions, and will return the one definition with the name that matches ConnectorName. The search is case insensitive.

If no definition is found, Nil is returned.

## See also

RegisterConnection |  | Register a new connection type for use in the universal connector
TConnectionDef |  | Connection type definition class
TConnectionDef.TypeName |  | Name of the connection type

Documentation generated on: Feb 26 2014